Loading...
Searching...
No Matches
VectorToScalarConverter< VectorGridType > Struct Template Reference

VectorToScalarConverter<VectorGridType>::Type is the type of a grid having the same tree configuration as VectorGridType but a scalar value type, T, where T is the type of the original vector components. More...

`#include <openvdb/tools/GridOperators.h>`

## Public Types

typedef VectorGridType::ValueType::value_type | VecComponentValueT
typedef VectorGridType::template ValueConverter< VecComponentValueT >::Type | Type

## Detailed Description

template<typename VectorGridType>
struct openvdb::v10_0::tools::VectorToScalarConverter< VectorGridType >

VectorToScalarConverter<VectorGridType>::Type is the type of a grid having the same tree configuration as VectorGridType but a scalar value type, T, where T is the type of the original vector components.

For example, VectorToScalarConverter<Vec3DGrid>::Type is equivalent to DoubleGrid.

## Member Typedef Documentation

## Type

template<typename VectorGridType>

typedef VectorGridType::template ValueConverter<VecComponentValueT>::Type Type

## VecComponentValueT

template<typename VectorGridType>

typedef VectorGridType::ValueType::value_type VecComponentValueT